## GstVulkanDisplayWayland

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstVulkanDisplay
                    ╰──GstVulkanDisplayWayland

the contents of a GstVulkanDisplayWayland are private and should only be accessed through the provided API

### Members

`parent` (GstVulkanDisplay) –
No description available
`display` (wl_display*) –
No description available
`registry` (wl_registry*) –
No description available
`compositor` (wl_compositor*) –
No description available
`subcompositor` (wl_subcompositor*) –
No description available
`shell` (wl_shell*) –
No description available

Since : 1.18

### Class structure

#### GstVulkanDisplayWaylandClass

##### Fields

`object_class` (GstVulkanDisplayClass) –
No description available

### GstVulkanWayland.VulkanDisplayWaylandClass

##### Attributes

`object_class` (GstVulkan.VulkanDisplayClass) –
No description available

### GstVulkanWayland.VulkanDisplayWaylandClass

##### Attributes

`object_class` (GstVulkan.VulkanDisplayClass) –
No description available

## GstVulkanWayland.VulkanDisplayWayland

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanDisplay
                    ╰──GstVulkanWayland.VulkanDisplayWayland

the contents of a GstVulkanWayland.VulkanDisplayWayland are private and should only be accessed through the provided API

### Members

`parent` (GstVulkan.VulkanDisplay) –
No description available
`display` (Object) –
No description available
`registry` (Object) –
No description available
`compositor` (Object) –
No description available
`subcompositor` (Object) –
No description available
`shell` (Object) –
No description available

Since : 1.18

## GstVulkanWayland.VulkanDisplayWayland

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanDisplay
                    ╰──GstVulkanWayland.VulkanDisplayWayland

the contents of a GstVulkanWayland.VulkanDisplayWayland are private and should only be accessed through the provided API

### Members

`parent` (GstVulkan.VulkanDisplay) –
No description available
`display` (object) –
No description available
`registry` (object) –
No description available
`compositor` (object) –
No description available
`subcompositor` (object) –
No description available
`shell` (object) –
No description available

Since : 1.18

### Constructors

#### gst_vulkan_display_wayland_new

    GstVulkanDisplayWayland *
    gst_vulkan_display_wayland_new (const gchar * name)

Create a new GstVulkanDisplayWayland from the wayland display name. See `wl_display_connect`() for details on what is a valid name.

Parameters:

`name` ( [nullable]) –

a display name

Returns ( [transfer: full][nullable]) –

a new GstVulkanDisplayWayland or NULL

Since : 1.18

#### GstVulkanWayland.VulkanDisplayWayland.prototype.new

    function GstVulkanWayland.VulkanDisplayWayland.prototype.new(name: String): {
        // javascript wrapper for 'gst_vulkan_display_wayland_new'
    }

Create a new GstVulkanWayland.VulkanDisplayWayland from the wayland display name. See `wl_display_connect`() for details on what is a valid name.

Parameters:

`name` (String) –

a display name

Returns (GstVulkanWayland.VulkanDisplayWayland) –

a new GstVulkanWayland.VulkanDisplayWayland or null

Since : 1.18

#### GstVulkanWayland.VulkanDisplayWayland.new

    def GstVulkanWayland.VulkanDisplayWayland.new (name):
        #python wrapper for 'gst_vulkan_display_wayland_new'

Create a new GstVulkanWayland.VulkanDisplayWayland from the wayland display name. See `wl_display_connect`() for details on what is a valid name.

Parameters:

`name` (str) –

a display name

Returns (GstVulkanWayland.VulkanDisplayWayland) –

a new GstVulkanWayland.VulkanDisplayWayland or None

Since : 1.18

#### gst_vulkan_display_wayland_new_with_display

    GstVulkanDisplayWayland *
    gst_vulkan_display_wayland_new_with_display (wl_display* display)

Creates a new display connection from a wl_display Display.

Parameters:

`display` –

an existing, wayland display

Returns ( [transfer: full]) –

a new GstVulkanDisplayWayland

Since : 1.18

#### GstVulkanWayland.VulkanDisplayWayland.prototype.new_with_display

    function GstVulkanWayland.VulkanDisplayWayland.prototype.new_with_display(display: Object): {
        // javascript wrapper for 'gst_vulkan_display_wayland_new_with_display'
    }

Creates a new display connection from a wl_display Display.

Parameters:

`display` (Object) –

an existing, wayland display

Returns (GstVulkanWayland.VulkanDisplayWayland) –

a new GstVulkanWayland.VulkanDisplayWayland

Since : 1.18

#### GstVulkanWayland.VulkanDisplayWayland.new_with_display

    def GstVulkanWayland.VulkanDisplayWayland.new_with_display (display):
        #python wrapper for 'gst_vulkan_display_wayland_new_with_display'

Creates a new display connection from a wl_display Display.

Parameters:

`display` (object) –

an existing, wayland display

Returns (GstVulkanWayland.VulkanDisplayWayland) –

a new GstVulkanWayland.VulkanDisplayWayland

Since : 1.18

## Function Macros

### GST_VULKAN_DISPLAY_WAYLAND_CAST

    #define GST_VULKAN_DISPLAY_WAYLAND_CAST(obj)        ((GstVulkanDisplayWayland*)(obj))

Since : 1.18

### GST_VULKAN_DISPLAY_WAYLAND_DISPLAY

    #define GST_VULKAN_DISPLAY_WAYLAND_DISPLAY(display_) (GST_VULKAN_DISPLAY_WAYLAND (display_)->display)

Since : 1.18

The results of the search are